import { bool_response } from "./bool_response";

export class autocomplete_response extends bool_response {
    #found;

    constructor(target) {
        super(target);

        this.#found = null;
        
        if (this.result) {
            this.#found = target["found"];
        }
    }

    get found() {
        if (this.#found === null) {
            throw new Error("Server response is not complete.");
        }

        return this.#found;
    }
}